The BOOST_PP_RELATIVE_FINISH macro expands to the upper bound of a file-iteration depth relative to the current depth.

#### Usage

BOOST_PP_RELATIVE_FINISH(i)

#### Arguments

i
  The relative depth of the frame whose upper bound is to be retreived. Valid values range from 0 to BOOST_PP_ITERATION_DEPTH() - 1.

#### Remarks

This macro is only valid when a file-iteration is in progress.
The argument i is interpreted as the number of frames outward from the current frame.

#### Requirements

Header: <boost/preprocessor/iteration/iterate.hpp>

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)